Package org.jboss.logging.annotations

## Annotation Type Param

    @Target(PARAMETER)
    @Retention(CLASS)
    @Documented
    public @interface Param

Identifies a parameter is to be used for constructing an exception and excluded from the formatting of the message.

Parameters will be order-matched first, then type-matched to resolve ambiguity. If a match fails an error should occur.

The `value()` option will allow an optional class to be specified which will have to match the exact type of the parameter in question, to enable unambiguous resolution. The value must be the fully qualified class name.

Author:
  James R. Perkins

### Optional Element Summary

Optional Elements
`java.lang.Class<?>` `value` Defines an exact class the parameter must match for unambiguous resolution.

### Element Detail

#### value

    java.lang.Class<?> value

Defines an exact class the parameter must match for unambiguous resolution.

Returns:
  the class the parameter must match.

Default:
  java.lang.Object.class